<?php

namespace Openguru\OpenCartFramework\MaintenanceTasks;

use DateInterval;
use Psr\Log\LoggerInterface;

abstract class BaseMaintenanceTask implements MaintenanceTaskInterface
{
    protected LoggerInterface $logger;

    public function __construct(LoggerInterface $logger)
    {
        $this->logger = $logger;
    }

    public function interval(): ?DateInterval
    {
        return null;
    }
}
